WordPress 5.6 может сломать сайты в декабре 2020 года

WordPress 5.5 появился в августе 2020 года и вскоре после этого сломались миллионы веб-сайтов в Интернете. Будьте готовы, потому что WordPress 5.6 может сделать то же самое.Один из разработчиков WordPress, стоящий за плагином jQuery Migrate, сказал в ветке поддержки, что плагин станет «бесполезным» после выхода версии 5.6. Любой, кто все еще зависит от этого, в декабре снова увидит, как резиновые ленты отрываются от их сайтов.

Почему WordPress 5.5 сломал сайты

WordPress находится на запланированной трехэтапной модернизации использования jQuery. jQuery – это набор сценариев, которые наделяют веб-сайты такими функциями, как анимация, предоставляют интерактивные элементы веб-страницам, упрощают создание плагинов и тем, поскольку он обрабатывает функции, общие для веб-сайтов, и манипулирует с ними CSS.

Мем про WordPress 5.5 ломающие сайты

Старые версии jQuery все еще используются во многих плагинах и темах. Более старые библиотеки jQuery содержат уязвимости межсайтового скриптинга (XSS) и отказа в обслуживании (DoS), которые могут быть опасны для веб-сайтов.

WordPress 5.5 стал первым шагом на пути к модернизации WordPress, заставив всю экосистему WordPress обновить свой код и установить последнюю и самую безопасную версию jQuery.

Первым шагом на этом пути было удаление библиотеки jQuery Migrate 1.x.

jQuery Migrate – это код, который позволяет веб-сайту с плагинами, которые используют более старые версии jQuery, продолжать работу. Это делает сайт WordPress обратно совместимым с плагинами и темами, которые все еще используют старые сценарии jQuery.

WordPress объявил об этих шагах на несколько месяцев раньше срока. У разработчиков плагинов и тем было достаточно предупреждений о том, что jQuery будет удален, что дало им достаточно времени для обновления своего программного обеспечения.

Когда WordPress выпустил версию 5.5 в августе 2020 года, миллионы веб-сайтов перестали работать должным образом. Некоторые люди были заблокированы для доступа к своим сайтам и не могли войти в свою административную панель. Другие издатели заметили, что их сайты полностью перестали отображаться.

WordPress выпустил плагин Enable jQuery Migrate Helper для восстановления всех поврежденных веб-сайтов. Миллионы веб-сайтов были восстановлены и продолжали работать в обычном режиме.

Почему WordPress 5.6 может сломать некоторые сайты

WordPress 5.6 развернет второй шаг модернизации использования jQuery путем обновления библиотеки jQuery Migrate до последней версии 3.3.1.

В результате сайты, которые полагаются на «Enable jQuery Migrate Helper», чтобы их сайты не развалились, снова будут страдать.

Согласно официальному сообщению :

«Первый шаг был включен в WordPress 5.5, в котором по умолчанию отключена поддержка jQuery Migrate версии 1.x.

Как часть … второй части этого процесса … который обновил версию jQuery в комплекте до 3.5.1. Наряду с этим jQuery Migrate также был обновлен до более новой версии 3.3.1.

Обратите внимание, что сценарий миграции для версии 3 несовместим с функциями, для которых предыдущий сценарий миграции предусматривал полифилл, а функции, ранее отмеченные как устаревшие, больше не доступны ».

Это означает, что функциональность будет снова нарушена для сайтов, которые все еще полагаются на плагин Enable jQuery Migrate Helper для поддержания их работы.

На форуме поддержки плагина Enable jQuery Migrate Helper для WordPress кто-то спросил, будет ли плагин Enable jQuery Migrate Helper по-прежнему работать с WordPress 5.6.

«Когда выйдет обновление WordPress 5.6, будет ли по-прежнему работать Enable jQuery Migrate Helper?»

Разработчик плагина WordPress ответил:

«Суть в том, что нет, это не поможет, когда появится WordPress 5.6, поскольку планируется обновить библиотеку jQuery в WordPress, и это оставит этот помощник бесполезным…»

Многие разработчики плагинов и тем обновили свое программное обеспечение до последней версии jQuery и устранили проблему. У пользователей этих продуктов не должно возникнуть проблем.

Но есть много тем и плагинов, которые больше не поддерживаются, и могут быть другие, которые еще не обновили свой код. Пользователи этих продуктов, вероятно, увидят, что их сайты работают лучше всего.

WordPress 5.6 сломает ваш сайт?

Если вы в настоящее время используете плагин Enable jQuery Migrate Helper и при входе в панель администратора вы видите сообщения об ошибках, тогда да, вы можете столкнуться с неожиданным поведением веб-сайта при обновлении WordPress до версии 5.6.

С другой стороны, если Enable jQuery Migrate Helper не сообщает об ошибках, это означает, что ваши темы и плагины обновили свои библиотеки jQuery, и сайт должен работать нормально.

Автор:Роджер Монтти

Обсудить и заказать можно через форму ниже
Создание недорогих сайтов
Добавить комментарий